Open CASCADE Technology: IGESBasic_ToolHierarchy Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESBasic_ToolHierarchy Class Reference

Tool to work on a Hierarchy. Called by various Modules (ReadWriteModule, GeneralModule, SpecificModule) More...

`#include <IGESBasic_ToolHierarchy.hxx>`

## Public Member Functions
| IGESBasic_ToolHierarchy ()
| Returns a ToolHierarchy, ready to work. More...
void | ReadOwnParams (const Handle< IGESBasic_Hierarchy > &ent, const Handle< IGESData_IGESReaderData > &IR, IGESData_ParamReader &PR) const
| Reads own parameters from file. <PR> gives access to them, <IR> detains parameter types and values. More...
void | WriteOwnParams (const Handle< IGESBasic_Hierarchy > &ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter. More...
void | OwnShared (const Handle< IGESBasic_Hierarchy > &ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a Hierarchy <ent>, from its specific (own) parameters. More...
Standard_Boolean | OwnCorrect (const Handle< IGESBasic_Hierarchy > &ent) const
| Sets automatic unambiguous Correction on a Hierarchy (NbPropertyValues forced to 6) More...
IGESData_DirChecker | DirChecker (const Handle< IGESBasic_Hierarchy > &ent) const
| Returns specific DirChecker. More...
void | OwnCheck (const Handle< IGESBasic_Hierarchy > &ent, const Interface_ShareTool &shares, Handle< Interface_Check > &ach) const
| Performs Specific Semantic Check. More...
void | OwnCopy (const Handle< IGESBasic_Hierarchy > &entfrom, const Handle< IGESBasic_Hierarchy > &entto, Interface_CopyTool &TC) const
| Copies Specific Parameters. More...
void | OwnDump (const Handle< IGESBasic_Hierarchy > &ent, const IGESData_IGESDumper &dumper, const Handle< Message_Messenger > &S, const Standard_Integer own) const
| Dump of Specific Parameters. More...

## Detailed Description

Tool to work on a Hierarchy. Called by various Modules (ReadWriteModule, GeneralModule, SpecificModule)

## Constructor & Destructor Documentation

IGESBasic_ToolHierarchy::IGESBasic_ToolHierarchy | ( |  | ) |

Returns a ToolHierarchy, ready to work.

## Member Function Documentation

IGESData_DirChecker IGESBasic_ToolHierarchy::DirChecker | ( | const Handle< IGESBasic_Hierarchy > & | ent | ) | const

Returns specific DirChecker.

void IGESBasic_ToolHierarchy::OwnCheck | ( | const Handle< IGESBasic_Hierarchy > & | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle< Interface_Check > & | ach
| ) |  | const

Performs Specific Semantic Check.

void IGESBasic_ToolHierarchy::OwnCopy | ( | const Handle< IGESBasic_Hierarchy > & | entfrom,
|  | const Handle< IGESBasic_Hierarchy > & | entto,
|  | Interface_CopyTool & | TC
| ) |  | const

Copies Specific Parameters.

Standard_Boolean IGESBasic_ToolHierarchy::OwnCorrect | ( | const Handle< IGESBasic_Hierarchy > & | ent | ) | const

Sets automatic unambiguous Correction on a Hierarchy (NbPropertyValues forced to 6)

void IGESBasic_ToolHierarchy::OwnDump | ( | const Handle< IGESBasic_Hierarchy > & | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle< Message_Messenger > & | S,
|  | const Standard_Integer | own
| ) |  | const

Dump of Specific Parameters.

void IGESBasic_ToolHierarchy::OwnShared | ( | const Handle< IGESBasic_Hierarchy > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

Lists the Entities shared by a Hierarchy <ent>, from its specific (own) parameters.

void IGESBasic_ToolHierarchy::ReadOwnParams | ( | const Handle< IGESBasic_Hierarchy > & | ent,
|  | const Handle< IGESData_IGESReaderData > & | IR,
|  | IGESData_ParamReader & | PR
| ) |  | const

Reads own parameters from file. <PR> gives access to them, <IR> detains parameter types and values.

void IGESBasic_ToolHierarchy::WriteOwnParams | ( | const Handle< IGESBasic_Hierarchy > & | ent,
|  | IGESData_IGESWriter & | IW
| ) |  | const

Writes own parameters to IGESWriter.

The documentation for this class was generated from the following file:

- IGESBasic_ToolHierarchy.hxx